//
//  $Id: PrintCardPreferences.h,v 1.1 2000/06/10 00:19:47 sergey Exp $
//

#ifndef _PrintCardPreferences_h_
#define _PrintCardPreferences_h_

#include "Util/Serializable.h"


//
// Holds important application PrintCardPreferences.
//
class PrintCardPreferences: public Util::Serializable
{
public:
    PrintCardPreferences();

    // PrintCardPreferences(const PrintCardPreferences&);
    // PrintCardPreferences& operator =(const PrintCardPreferences&);

// operations

    void setDefaults();

    virtual void serialize(Util::DataOutputStream& stream) const;
    virtual void restore(const Util::DataInputStream& stream);

// attributes

    int frameHeight() const     { return _frameHeight; }
    int frameWidth() const      { return _frameWidth; }
    int frameMargin() const     { return _frameMargin; }

    int scaleX() const          { return _scaleX; }
    int scaleY() const          { return _scaleY; }

    bool oneCopy() const        { return _oneCopy; }

    void setFrameHeight(int h)  { _frameHeight = h; }
    void setFrameWidth(int w)   { _frameWidth = w; }
    void setFrameMargin(int m)  { _frameMargin= m; }

    void setScaleX(int x)       { _scaleX = x; }
    void setScaleY(int y)       { _scaleY = y; }

    void setOneCopy(bool c)     { _oneCopy = c; }

// data membars
private:
    // one point is 1/72"
    int _frameHeight;
    int _frameWidth;
    int _frameMargin;

    // from 0 to n, 1 is 1x
    int _scaleX;
    int _scaleY;

    bool _oneCopy;
};

#endif  // _PrintCardPreferences_h_
